@import url('https://fonts.googleapis.com/css2?family=Cantata+One&family=Lilita+One&family=Pixelify+Sans:wght@400..700&display=swap');

body {
    font-family: "Lilita One", sans-serif;
    font-weight: 200;
    font-style: normal;
    background-color: rgb(14, 33, 56);
    color: #ccc;
    -webkit-user-drag: none;
    user-select: none;
  }
  .new {
    color: #ff5b5b;
  }
  #title {
    margin-bottom: 20px;
  }
  #logout {
    color: #b14646;
  }
  #logout:hover {
    color: #ff5252;
  }
  #usernameDisplay {
    margin-top: -10px;
    color: #41ff71;
  }
  #passwordDisplay {
    margin-top: -10px;
    color: #41ff71;
    filter: blur(5px);
    transition: all 0.5s;
  }
  #passwordDisplay:hover {
    filter: blur(0px);
  }
  #livenumber {
    background-color: #0b325f;
    padding: 15px;
    color: #cfcfcf;
    border-radius: 40px;
    border: 3px solid #0c4280;
  }
  #likeCount {
    color: #32f520;
  }
  h1 {
    font-weight: 200;
  }
  h2 {
    margin: 40px;
    text-align: center;
    font-weight: 200;
    background-color: #0f2e5e ;
    border: 3px solid #15448a;
    letter-spacing: 2px;    
    color: #ffffff;
    padding: 6px;
    border-radius: 25px;
  }
  h6 {
    font-weight: 200;
    font-size: 1.3rem;
    text-align: center;
  }
  #stock-price,
  #metal-sell-price,
  #oil-sell-price,
  #litecoin-sell-price,
  #doge-sell-price,
  #lawine-sell-price,
  #kaspa-sell-price,
  #vbucks-sell-price {
    font-size: 16px;
  }

  #chart-container,
  #metal-chart-container,
  #oil-chart-container,
  #litecoin-chart-container,
  #doge-chart-container,
  #lawine-chart-container,
  #kaspa-chart-container,
  #vbucks-chart-container {
    width: 100%;
    height: 300px;
    margin-top: 20px;
    position: relative;
    border: 3px solid #0f2f5e00;
    border-radius: 15px;
  }
  #chart,
  #metal-chart,
  #oil-chart,
  #litecoin-chart,
  #doge-chart,
  #lawine-chart,
  #kaspa-chart,
  #vbucks-chart {
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
  }

  #balance {
    color: rgb(107, 255, 107);
    font-weight: lighter;
    position: sticky;
  }

  #bitcoin-quantity,
  #metal-quantity,
  #oil-quantity,
  #litecoin-quantity,
  #doge-quantity,
  #lawine-quantity,
  #kaspa-quantity,
  #vbucks-quantity {
    font-weight: 500;
    color: rgb(148, 148, 148);
  }

  #stock-price,
  #metal-sell-price,
  #oil-sell-price,
  #litecoin-sell-price,
  #doge-sell-price,
  #lawine-sell-price,
  #kaspa-sell-price,
  #vbucks-sell-price {
    color: rgb(48, 121, 255);
  }

  img {
    transform: translateY(4px);
  }

  label {
    margin-bottom: 10px;
    font-weight: 200;
  }

  input {
    font-family: "Lilita One", sans-serif;
    border-radius: 12px;
    padding: 5px;
    background-color: rgb(24, 71, 128);
    border: 2px solid #0f2e5e;
    font-weight: 100;
    color: white;
    width: 100px;
    transition: all 0.2s;
  }
  input:hover {
    background-color: rgb(37, 100, 179);
    border: 2px solid #143c79;
    padding: 5px 10px;
  }
  button {
    font-family: "Lilita One", sans-serif;
    border-radius: 12px;
    padding: 6px;
    margin-left: 5px;
    background-color: rgb(31, 84, 150);
    border: 2px solid #0f2e5e;
    font-weight: 100;
    color: rgba(255, 255, 255, 0.562);
    transition: all 0.1s;
    cursor: pointer;
  }
  button:hover {
    transform: scale(1.05);
    padding: 6px 10px;
    margin-left: 5px;
    background-color: rgb(37, 100, 179);
    border: 2px solid #143c79;
    color: #ffffff;
  }
  button:active {
    transform: scale(1.0);
  }
  #resetButton {
    margin-top: 10px;
  }

  p {
    font-weight: 200;
    color: #e0e0e0;
  }
  a {
    text-decoration: none;
    color: rgb(48, 121, 255);
    transition: all 0.2s;
  }
  a:hover {
    color: rgb(91, 148, 255);
    letter-spacing: 1px;
  }
  .funnysite {
    color: rgba(255, 255, 255, 0.562);
  }
  .funnysite:hover {
    color: #ffffff;
    letter-spacing: 0px;
  }
  .GREEN {
    color: #00ee00;
  }
/*UPDATE POPUP*/
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.popup {
    padding: 20px;
    border-radius: 10px;
    position: relative;
    max-width: 80%;
    max-height: 80%;
    overflow: auto;   
}
/*ONLINE*/
.loading-overlay, .error-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 120%;
  background-color: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
}

.loader {
  border: 8px solid #000000a4;
  border-radius: 50%;
  border-top: 8px solid #0077ff;
  background-color: rgba(0, 0, 0, 0.466);
  padding: 20px;
  width: 50px;
  height: 50px;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.error-message {
  position: fixed;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgb(37, 100, 179);
  border: 2px solid #143c79;
  color: white;
  padding: 10px;
  border-radius: 20px;
  font-weight: 200;
  display: none;
  text-align: center;
}